// syscall1.cpp
// Glenn G. Chappell
// 23 Jan 2013
//
// For CS 321 Spring 2013
// System calls demo #1
// Write, sleep, exit

#include <unistd.h>
// Used: write, sleep, _exit
#include <cstdlib>
using std::size_t;
#include <iostream>
using std::cout;
using std::endl;


int main()
{
    ssize_t dummy;  // For unused return values

    dummy = write(1, "HELLO\nThis will not print", 6);  // 1 = stdout
    dummy = write(1, "WAITING 1 SECOND ...\n", 21);

    sleep(1);   // Wait 1 second

    dummy = write(1, "GOODBYE\n", 8);

    _exit(42);  // Quit; 42 is the exit status of the program
                // In most *ix shells, run this program and then type
                //     echo $?
                // It should print "42"

    // Since the above quits, the following will not be executed
    cout << "This will not print" << endl;

    return 0;
}

